News in 43.0, 2022-09-20
------------------------
* Translation updates

News in 43.rc, 2022-09-03
-------------------------
* Use Meson's gnome.post_install() [!49]
* Translation updates

News in 43.beta, 2022-08-10
---------------------------
* Translation updates

News in 43.alpha, 2022-07-13
----------------------------
* Temporarily disable hardware accelerated rendering [#60]
* Fix build with newer versions of Meson [#59]
* Translation updates

News in 41.2, 2021-10-01
------------------------
* More appdata fixes
* Translation updates

News in 41.1, 2021-09-17
------------------------
* Appdata fixes

News in 41.0, 2021-09-17
------------------------
* Translation updates

News in 41.rc, 2021-09-04
-------------------------
* Translation updates

News in 41.beta, 2021-08-14
---------------------------
* Translation updates
* Fix build in sandboxed environments with no network
* Update list of translatable files [#47]
* Switch to gi-docgen to build the libdevhelp API reference
* Move the "Show side panel" action from the menu to the header bar [!36]
* Fix donation link in the appdata information [!39]
* Build against WebKitGTK 4.1 [!38]
* Build against GLib 2.70 [!40]

News in 41.alpha, 2021-07-09
----------------------------
* Translation updates
* Drop the dependency on AMTK
* Build fixes with newer versions of various dependencies
* Follow the HIG best practices for the main menu button
* Drop the old "simple" menu fallback
* Display find shortcuts in the Keyboard Shortcuts dialog [#27]
* Search for Devhelp files under `$datadir/doc` [#29]
* Set the User Agent for client-side detection [#28]
* Add a custom CSS to allow documentation generators to control the
  rendering under Devhelp

News in 40.0, 2021-04-12
------------------------
* Translation updates.

News in 40.alpha, 2021-01-11
----------------------------
* New GNOME versioning scheme.
* Build: add plugin_emacs, plugin_gedit and plugin_vim options.
* Improve the Shortcuts window.
* Translation updates.

News in 3.38.1, 2020-11-20
--------------------------
* Translation updates.

News in 3.38.0, 2020-09-11
--------------------------
* Translation updates.

News in 3.37.1, 2020-05-29
--------------------------
* Enable WebKitGTK sandbox.
* Add more keyboard shortcuts to zoom actions.
* Improvements to the build system.
* Improvement to the Flatpak.
* Translation updates.

News in 3.36.2, 2020-04-25
--------------------------
* Fix RTL (right-to-left text locale) bug.
* Translation updates.

News in 3.36.1, 2020-03-26
--------------------------
* AppData: add <releases> tag for the Flatpak.
* Translation updates.

News in 3.36.0, 2020-03-05
--------------------------
* Translation updates.

News in 3.35.90, 2020-01-30
---------------------------
* Create page about professional services for Devhelp.
* A few improvements to the build system.
* Write more user documentation.
* Fix a minor bug with the Ctrl+F keyboard shortcut.
* Start to apply REUSE recommendations for copyright and license information.
  https://reuse.software/
* Use a few new GLib APIs.
* Translation updates.

News in 3.34.0, 2019-09-09
--------------------------
* Enable back-forward swipe gesture in the HTML pages.
* Write more contributor docs.
* Translation updates.

News in 3.32.0, 2019-03-10
--------------------------
* GNOME goal “App menu retirement”:
  https://gitlab.gnome.org/GNOME/Initiatives/issues/4
* GNOME goal “App Icon Redesign”:
  https://gitlab.gnome.org/GNOME/Initiatives/issues/2
  (yes Devhelp has a new icon now).
* A few minor and irrelevant improvements to the code.
* A pile of translation updates as usual.

News in 3.30.1, 2018-10-24
--------------------------
* Build: requires Meson >= 0.47.
* Translation updates.

News in 3.30.0, 2018-07-16
--------------------------
* A few small improvements.
* Translation updates.

News in 3.29.3, 2018-06-17
--------------------------
* Devhelp has moved to the GNOME GitLab instance. The bugzilla tickets have not
  yet been migrated to the GitLab issues, so before filing a new issue on
  GitLab, please search the bugzilla first. All links are available as usual
  on:
  https://wiki.gnome.org/Apps/Devhelp

* Finally write a HACKING file.
* Do not show a GtkInfoBar on error, use the WebKitWebView default
  implementation to simplify the code.
* Code refactorings: from DhWindow extract DhNotebook, DhSearchBar and
  bind_sidebar_and_notebook() function, and delegate more work to DhWebView.
* Make the following classes re-usable and move them to the libdevhelp:
  DhWebView, DhTab, DhTabLabel, DhNotebook and DhSearchBar.
  And move dh_window_bind_sidebar_and_notebook() to the libdevhelp.
* Flatpak: run Amtk and Devhelp unit tests after building those modules.
* Application icons: rename filenames to org.gnome.Devhelp.*, to simplify the
  Flatpak manifest.
* Build system: fix the remaining places where the libdevhelp API/major version
  was hardcoded, use the variable instead, to easily bump it in the future.
* Other small improvements.
* Translation updates.

News in 3.29.2, 2018-05-21
--------------------------
* A new, more flexible book management architecture in the libdevhelp:

 - DhBookManager is now completely empty and entirely deprecated, the minimum
   amount of API is kept to not break Anjuta. It has been replaced by a more
   flexible infrastructure: DhProfile, DhSettings and DhBookList. If an
   application uses only the default libdevhelp widgets it will still work fine
   – even if the code of the application is not adapted – because in that case
   it will use the default DhProfile, which contains the same content as how
   DhBookManager was implemented.

 - Whether a DhBook is enabled/selected is now decoupled from DhBook:
   dh_book_get_enabled() and dh_book_set_enabled() have been removed, as well
   as the DhBook::enabled and DhBook::disabled signals. For a book to be
   enabled it now needs to be part of a DhBookList, which is more flexible
   because there can be several different DhBookLists in parallel.

 - Allow custom search paths to load DhBooks, with DhBookListDirectory.

* Port other Devhelp classes to DhProfile and DhBookList.
* Listen to external changes to the "books-disabled" GSettings key.
* Some code cleanup and minor bug fixes.
* Flatpak: convert manifest to YAML.
* Translation updates.

News in 3.29.1, 2018-04-15
--------------------------
* Switch build system from Autotools to Meson (and remove Autotools).
* Update the license from GPLv2+ to GPLv3+.
* Clear separation between the library and the app: move library to its own
  directory (still in the same git repo), split some source files in two,
  correctly handle GSettings in the library, and in the app use only really
  public libdevhelp APIs.
* Add a profile infrastructure in the library, for example to have a generic
  profile and a GNOME profile in the future.
* Overhaul preferences dialog implementation.
* Use the Amtk library to create the menus and the GtkShortcutsWindow. It
  permits to avoid information duplication, and will permit to provide a
  higher-level libdevhelp API.
* A few other small improvements.
* Translation updates.

News in 3.28.1, 2018-04-08
--------------------------
* AppData: update screenshots.
* Translation updates.

News in 3.28.0, 2018-03-10
--------------------------
* Improve default GSettings values.
* A few other small improvements.
* Translation updates.

===============
Version 3.27.90
===============

- Flatpak: see books installed on the host (usually installed by traditional
  Linux distribution packages). The Flatpak needs to be built with the new
  --enable-flatpak-build configure flag.
- Lots of code refactorings, fixing various bugs along the way. Have more
  classes, but smaller: from DhKeywordModel extract DhSearchContext; from
  DhWindow extract DhWebView, DhTab and DhTabLabel.
- All bugs in bugzilla fixed (only enhancement bugs remaining).
- Write more unit tests.
- Write first page of *user* documentation (in Mallard), to explain some
  features of the search in the side panel.
- Fix and document a feature useful for integration with other developer tools:
  filtering by book and page when doing a search, see the README.
- Improve error info bar (shown on top of the HTML page), use the TeplInfoBar
  utility class, copied from the Tepl library.

Fixed bugs:

 - #696905, press Escape to cancel search
 - #790902, writes window state settings on each configure event
 - #792068, Make it work with Flatpak
 - #792443, Missing emacs/vim plugins in 3.27.2 tarball

Updated translations: de, fi, fur, hu, id, pl

Many thanks to all contributors: Balázs Úr, Fabio Tomat, Tim Sabsch,
Sébastien Wilmet, Mario Blättermann, Piotr Drąg, Kukuh Syafaat, Christian
Kirbach, Jiri Grönroos

==============
Version 3.27.2
==============

- Deprecate Devhelp index file format version 1 (with file extension *.devhelp
  or *.devhelp.gz), print warning when loading such index files.
- Lots of code refactorings.
- Do not use deprecated GCompletion API, implement re-usable DhCompletion class
  based on GSequence with an API better suited for Devhelp.
- Do not use deprecated GdkScreen API, use GdkMonitor.
- Use WebKit's new font size functionality.
- Increase number of maximum search results (100 -> 1000).
- Use the GtkSearchEntry::search-changed signal, adding a small delay to show
  search results.
- Make right-click menu work in the WebKitWebView.
- Do not save/restore GtkWindows x/y positions.
- Improve application description and documentation.
- Some cleanup and file reorganisation in the git repository.
- Fix several bugs.

Fixed bugs:

 - #606831, Devhelp applications lacks right-click context menu
 - #668978, Add timeout to search entry.
 - #784652, Searching "GFile" doesn't return an exact match (too many
            results)
 - #789862, dh-sidebar: Crashes when interacting with the GCompletion
 - #790680, Start using WebKit's new font size functionality
 - #791127, Assertion failed in DhBookManager

Updated translations: cs, sr

Many thanks to all contributors: Милош Поповић, Sébastien
Wilmet, Marek Černocký, Gabriel Ivascu

==============
Version 3.27.1
==============

- Lots of code refactorings.
- Write first unit test.
- DhLink: use a union inside the struct to use less memory.
- Improve API documentation.
- Some minor bug fixes.
- Translation updates.

==============
Version 3.26.1
==============

- Move New Tab button on the right side of the headerbar.

Updated translations: ca, ca@valencia, da, el, nb, nl

Many thanks to all contributors: Sébastien Wilmet, Ask Hjorth Larsen,
Efstathios Iosifidis, Nathan Follens, Kjartan Maraas, Xavi Ivars

==============
Version 3.26.0
==============

Updated translations: be, da, eu, fi, hu, it, ko, lt, lv, ne, pt_BR,
sk, tr

Many thanks to all contributors: Balázs Úr, Changwoo Ryu, Osman Karagöz,
Yuras Shumovich, Piotr Drąg, Milo Casagrande, Ask Hjorth Larsen, Inaki
Larranaga Murgoitio, Enrico Nicoletto, Rūdolfs Mazurs, Jiri Grönroos,
Dušan Kazik

===============
Version 3.25.91
===============

- Bump Libtool version.

Fixed bugs:

 - #786008, Constant updating of window positions causing high CPU load
   Fixed by adding a timeout to save the GSettings for the window state.

Updated translations: ca, gl, ne, pl, sr@latin, sr

Many thanks to all contributors: Fran Dieguez, Мирослав
Николић, Sébastien Wilmet, Pawan Chitrakar, Jordi Mas, Debarshi Ray

==============
Version 3.25.2
==============

- Move New Tab action as a button in the headerbar (it's no longer in the
  hamburger menu).
- Refactorings in DhLink.
- Rename dh_free_resources() to dh_finalize().

Fixed bugs:

 - #721082, a couple of scripts to add javadocs as Devhelp books
 - #779386, Consider moving contents of "hamburger" menu elsewhere
 - #783964, [PATCH] mouse forward/back buttons don't work

Updated translations: cs, de, es, fr, fur, id, kk, sl, sv, vi

Many thanks to all contributors: Fabio Tomat, Anders Jonsson, Sébastien
Wilmet, Mario Blättermann, Piotr Drąg, Kukuh Syafaat, Matej Urbančič,
Trần Ngọc Quân, Claude Paroz, Daniel Mustieles, Lubomir Rintel,
Baurzhan Muftakhidinov, Marek Cernocky

==============
Version 3.25.1
==============

- Book tree in the side panel: add context menu with Collapse All action.
- Update GUI when system fonts change.
- Lots of code clean-up and refactorings.
- Clean up the GSettings schema.
- Use GIO to load the index files.
- Several bug fixes in the parser.
- Build system:
	- Disable -Werror by default.
	- Use git.mk.
	- Check for gsettings-desktop-schemas with pkg-config.

API:
- There has been some API breaks documented in the reference manual, but both
  Anjuta and gnome-builder should still compile and work fine.
- Several fixes in the GTK-Doc comments and GObject Introspection annotations.
- Improve documentation, write class descriptions for public classes.
- DhBookManager is now a singleton.
- Deprecate dh_link_get_page_name().
- dh_init() now initializes the i18n.
- New function: dh_free_resources().

Fixed bugs:

 - #761292, Book tree in sidebar: add right click -> collapse all
 - #775175, Problems with back/forward buttons sensitivity
 - #776596, devhelp --search sometimes doesn't jump to symbol
 - #782511, Take advantage of Unicode

Updated translations: be, de, el, hu, id, pl

Many thanks to all contributors: Balázs Úr, Andika Triwidada, Tom
Tryfonidis, Yuras Shumovich, Sébastien Wilmet, Mario Blättermann, Piotr
Drąg, Kukuh Syafaat, Rico Tzschichholz

==============
Version 3.24.0
==============

Updated translations: lv

Many thanks to all contributors: Rūdolfs Mazurs


===============
Version 3.23.92
===============

Fixed bugs:

 - #779378, devhelp 3.23.91 fails to build because of -Werror
 - #779563, Add Flatpak build manifest

Updated translations: da, fr, gl, id, ko, lt, zh_TW

Many thanks to all contributors: Changwoo Ryu, Kukuh Syafaat, Fran Dieguez,
Sébastien Wilmet, Ask Hjorth Larsen, Aurimas Černius, Chao-Hsiung Liao,
Charles Monzat


===============
Version 3.23.91
===============

Fixed bugs:

 - #763518, Add sidebar toggler to the menu
 - #770785, Add GTK-Doc API reference and GObject Introspection support
 - #771503, fix warning in finalize of sidebar
 - #773900, Small build system update
 - #774069, unable to build devhelp by jhbuild
 - #775261, Make DhLanguage a GObject subclass

Updated translations: cs, de, es, eu, fi, fur, hr, hu, it, kk, nb, pl,
pt_BR, sk, sl, sr@latin, sr, sv

Many thanks to all contributors: Balázs Meskó, Мирослав
Николић, Corentin Noël, Mario Blättermann, Milo Casagrande, Kjartan
Maraas, Enrico Nicoletto, Balázs Úr, Piotr Drąg, Marek Černocký,
Christian Hergert, Fabio Tomat, Sébastien Wilmet, gogo, Matej Urbančič,
Michael Catanzaro, Fábio Nogueira, Anders Jonsson, Rafael Fontenelle,
Miguel Vaello Martínez, Inaki Larranaga Murgoitio, Daniel Mustieles,
Baurzhan Muftakhidinov, Jiri Grönroos, Dušan Kazik


==============
Version 3.22.0
==============

No changes.


===============
Version 3.21.92
===============

Fixed bugs:

 - #771327, dh-window: do not disable javascript.

Updated translations: es, fur, pl

Many thanks to all contributors: Jeremy Bicha, Fabio Tomat, Mathieu
Duponchelle, Piotr Drąg


===============
Version 3.21.91
===============

Updated translations: en_GB, fi, pl, sl

Many thanks to all contributors: Matej Urbančič, Jiri Grönroos, David
King, Piotr Drąg


===============
Version 3.21.90
===============

Fixed bugs:

 - #763942, Let Control+scroll change the zoom level
 - #769606, 3 trivial commits

Updated translations: eu, id, it, nb, oc, pt, th

Many thanks to all contributors: Ernestas Kulik, Andika Triwidada, Sébastien
Wilmet, Piotr Drąg, Theppitak Karoonboonyanan, Inaki Larranaga Murgoitio,
Kjartan Maraas, Cédric Valmary, Milo Casagrande


==============
Version 3.20.0
==============

Updated translations: da, ru, sr

Many thanks to all contributors: Ask Hjorth Larsen, Марко Костић,
Yuri Myasoedov


===============
Version 3.19.92
===============

Updated translations: ca, cs, fi, fr, gl, he, ko, lt, oc, sr@latin,
sr, sv, zh_CN, zh_TW

Many thanks to all contributors: Changwoo Ryu, Chao-Hsiung Liao, Fran
Dieguez, Мирослав Николић, Guillaume Bernard, Marek
Černocký, Jordi Mas, Aurimas Černius, Anders Jonsson, Yosef Or Boczko,
Cédric Valmary, Jiri Grönroos, Mingye Wang (Arthur2e5), Sébastien Wilmet


===============
Version 3.19.90
===============

Fixed bugs:

 - #645620, Mis-handling of external-URL <book base=> in .devhelp2
 - #696904, each class name is listed twice
 - #723135, Ctrl-K shortcut is not discoverable
 - #741806, Add support for XF86Back/XF86Forward keys
 - #743704, Add "Ctrl =" keyboard shortcut for zoom in
 - #757177, Add keyboard shortcuts for switching tabs (Ctrl+PgUp/PgDn)
 - #757877, Provide a shortcuts window
 - #758141, Misc code enhancements
 - #759691, Search problem: do not jump to the exact link if another link
            with a longer name exists
 - #759692, Search: a trailing space is sometimes added to the entry
 - #761407, Add context to strings in the shortcut window

Updated translations: de, el, es, hu, lt, lv, pl, pt_BR, sk

Many thanks to all contributors: Balázs Meskó, Tom Tryfonidis, Rafael
Fontenelle, Sébastien Wilmet, Richard Hughes, Mario Blättermann, Piotr
Drąg, Aurimas Černius, Nirbheek Chauhan, Daniel Mustieles, Rūdolfs
Mazurs, Dušan Kazik


==============
Version 3.19.3
==============

Fixed bugs:

 - #709658, gedit plugin: too many .plugin files (some generated, some
            weird)
 - #755872, Sometimes a page doesn't get opened
 - #756341, Various code improvements and bug fixes

Updated translations: eu, pt, th, zh_CN

Many thanks to all contributors: Pedro Albuquerque, Sébastien Wilmet, Akom
Chotiphantawanon, Inaki Larranaga Murgoitio, YunQiang Su


==============
Version 3.18.1
==============

Updated translations: eo, sr@latin, sr

Many thanks to all contributors: Kristjan SCHMIDT, Милош
Поповић, Марко Костић


==============
Version 3.18.0
==============

Updated translations: da, de, fa, fi, it, ja, ko, lt, lv, pt_BR, sl,
tr

Many thanks to all contributors: Changwoo Ryu, Paul Seyfert, Muhammet Kara,
Rafael Fontenelle, Arash Mousavi, Milo Casagrande, Ask Hjorth Larsen, Matej
Urbančič, Aurimas Černius, Jiro Matsuzawa, Rūdolfs Mazurs, Jiri
Grönroos


===============
Version 3.17.91
===============

Fixed bugs:

 - #704833, books sidebar shouldn't have type ahead find
 - #727243, gedit plugin needs to be ported to new menu API
 - #749797, Misc code improvements
 - #751446, AppData file needs updating for new desktop file name

Updated translations: cs, el, es, fr, gl, he, hu, id, nb, pl, pt, sk,
sv, zh_TW

Many thanks to all contributors: Balázs Úr, Andika Triwidada, Alexandre
Franke, Fran Dieguez, Anders Jonsson, Richard Hughes, Piotr Drąg, Daniel
Mustieles, Pedro Albuquerque, Kjartan Maraas, Yosef Or Boczko, Marek
Černocký, Chao-Hsiung Liao, Dušan Kazik, Tom Tryfonidis


==============
Version 3.17.3
==============

Fixed bugs:

 - #593267, devhelp manpage
 - #728384, Make DBus-activatable
 - #749452, Misc maintenance stuff
 - #749797, Misc code improvements

Updated translations: oc, uk

Many thanks to all contributors: Sébastien Wilmet, Cédric Valmary,
Matthias Clasen, Colin Walters


==============
Version 3.16.1
==============

Fixed bugs:

 - Update list of official developer documentation sites
 - #747016, icon: provide a symbolic variant of the app icon

Many thanks to all contributors: Jakub Steiner, Alexandre Franke


==============
Version 3.16.0
==============

Fixed bugs:

 - #746609, Fix warning when book cannot be read

Updated translations: bs

Many thanks to all contributors: Michael Catanzaro, Kalev Lember


===============
Version 3.15.92
===============

Fixed bugs:

 - #746166, Disable some WebKit features we don't need

Updated translations: bs

Many thanks to all contributors: Michael Catanzaro, Samir Ribic, Sebastien
Lafargue


===============
Version 3.15.91
===============

Fixed bugs:

 - #745256, Update font size automatically when Xft resolution changes

Updated translations: sv

Many thanks to all contributors: Mario Sanchez Prada, Anders Jonsson


===============
Version 3.15.90
===============

Fixed bugs:

 - #728916, Can't find "_" in the results
 - #741806, Added support for XF86Back/XF86Forward keys
 - #742447, devhelp crashes with empty documentation file
 - #742457, Typo in GSettings conversion file causes gsettings-data-convert
            to crash
 - #742687, DevHelpBookTree is wider when searching

Updated translations: fi, it, ja, sl, tr

Many thanks to all contributors: Muhammet Kara, Necdet Yücel, Timo Jyrinki,
Milo Casagrande, Jiri Horner, Matej Urbančič, Trinh Anh Ngoc, Jiro
Matsuzawa, Debarshi Ray, Aleksander Morgado


==============
Version 3.14.0
==============

Updated translations: da, de, sr@latin, sr, zh_CN

Many thanks to all contributors: Tong Hui, Kenneth Nielsen, Bernd Homuth,
Мирослав Николић


===============
Version 3.13.92
===============

Fixed bugs:

 - #735252, libdevhelp: Fix .pc file requires when building with
            webkit2gtk-4.0

Updated translations: fi, gl, hu, id, ko, lv, pl, ru, sv, zh_HK, zh_TW

Many thanks to all contributors: Balázs Úr, Ville-Pekka Vainio, Andika
Triwidada, Fran Diéguez, Changwoo Ryu, Yuri Myasoedov, Piotr Drąg,
Sebastian Rasmussen, Rūdolfs Mazurs, Chao-Hsiung Liao


===============
Version 3.13.90
===============

Fixed bugs:

 - #734324, Build against webkit2gtk-4.0

Updated translations: as, ca, ca@valencia, cs, eu, fi, fr, lt, nb

Many thanks to all contributors: Gil Forcada, Lasse Liehu, Alexandre Franke,
Kalev Lember, Andre Klapper, ngoswami, Inaki Larranaga Murgoitio, Aurimas
Černius, Olav Vitters, Kjartan Maraas, Michael Catanzaro, Carles Ferrando,
Marek Černocký, Ignacio Casal Quinteiro


==============
Version 3.13.4
==============

Fixed bugs:

 - #724098, center tab labels
 - #724538, Use popver for the gear menu
 - #727064, Use headerbar in the preference dialog
 - #730445, Expand tabs in the pref dialog
 - #730723, window: Allow Shift-Return to previous find
 - #730772, Use the new support for RTL icons in GtkIconTheme
 - #732897, Use view-context-menu-symbolic for the gear menu

Updated translations: ca, ca@valencia, el, es, he, pt_BR, sl

Many thanks to all contributors: MarMav, Carles Ferrando, Pau Iranzo,
chrysn, Damián Nohales, Matej Urbančič, Daniel Mustieles, Enrico
Nicoletto, Yosef Or Boczko


==============
Version 3.12.1
==============

Updated translation: eu

Many thanks to all contributors: Inaki Larranaga Murgoitio, Piotr Drąg


==============
Version 3.12.0
==============

Updated translations: da, id, pt, sl

Many thanks to all contributors: Duarte Loreto, Matej Urbančič, Andika
Triwidada, Ask H. Larsen


===============
Version 3.11.92
===============

Updated translations: fi, fr, ko, lv, pl, ru, sr@latin, sr, zh_CN

Many thanks to all contributors: Changwoo Ryu, Ville-Pekka Vainio, Мирослав
Николић, Paweł Żołnowski, Yuri Myasoedov, Wylmer Wang, Rūdolfs Mazurs


===============
Version 3.11.91
===============

Fixed bugs:

 - #696573, search toggle buttons
 - #723225, License text contains obsolete FSF postal address
 - #723933, Don't assume we can always read BYTES_PER_READ

Updated translations: as, fi, gl, hu, it, lt, nb, pt_BR, uk, zh_HK,
zh_TW

Many thanks to all contributors: Balázs Úr, Jiri Grönroos, Daniel
Mustieles, William Jon McCann, Ignacio Casal Quinteiro, Rafael Ferreira,
ngoswami, Fran Diéguez, Milo Casagrande, Aurimas Černius, Kjartan Maraas,
Daniel Korostil, Chao-Hsiung Liao


==============
Version 3.11.4
==============

Fixed bugs:

 - #712183, about devhelp, wrong URL
 - #720167, App menu: standardize Help/About/Quit
 - #720948, Add "sidebar" style class to the sidebar

Updated translations: ca, ca@valencia, cs, el, es, gl, he, it, pt_BR,
sl, zh_CN

Many thanks to all contributors: Gil Forcada, Dimitris Spingos, Carles
Ferrando, Rafael Ferreira, Ignacio Casal Quinteiro, Fran Diéguez, Milo
Casagrande, Matej Urbančič, Sphinx Jiang, Bastien Nocera, Daniel
Mustieles, Yosef Or Boczko, Michael Catanzaro, Marek Černocký, Piotr
Drąg, Pierre-Yves Luyten, Aleksander Morgado


==============
Version 3.10.2
==============

Updated translations: ca, ca@valencia, de, el

Many thanks to all contributors: Christian Kirbach, Efstathios Iosifidis,
Gil Forcada, Carles Ferrando


==============
Version 3.10.0
==============

Fixed bugs:

 - #707490, [PATCH] Don't use AM_GNU_GETTEXT

Updated translations: as, be, da, fi, he, id, ja, ko, lv, ru, sk,
sr@latin, sr, th

Many thanks to all contributors: Changwoo Ryu, Ville-Pekka Vainio, Andika
Triwidada, Мирослав Николић, Ignacio Casal Quinteiro, Pavol
Klačanský, Ihar Hrachyshka, Ask H. Larsen, Theppitak Karoonboonyanan,
Nilamdyuti Goswami, Jiro Matsuzawa, Yosef Or Boczko, Rūdolfs Mazurs,
Kerrick Staley, Yuri Myasoedov


==============
Version 3.9.91
==============

Fixed bugs:

 - #700588, Error regarding gsetting schema when gsettings-data-convert
            starts
 - #706498, Typo in the last devhelp´s POT File

Updated translations: cs, es, fr, gl, he, hu, it, lt, nb, pl, pt_BR,
sl, zh_HK, zh_TW

Many thanks to all contributors: Balázs Úr, Milo Casagrande, Kjartan
Maraas, Ignacio Casal Quinteiro, Fran Diéguez, Piotr Drąg, Matej
Urbančič, Aurimas Černius, Daniel Mustieles, Enrico Nicoletto, Marek
Černocký, Chao-Hsiung Liao, Yaron Shahrabani, Alexandre Franke


==============
Version 3.9.90
==============

Ignacio Casal Quinteiro ported devhelp to GtkHeaderBar, GtkSearchBar,
and more.

Fixed bugs:

 - #700588, Error regarding gsetting schema when gsettings-data-convert
            starts

Updated translations: it, lt, pt_BR, zh_HK, zh_TW

Many thanks to all contributors: Milo Casagrande, Ignacio Casal Quinteiro,
Rafael Ferreira, Piotr Drąg, Baptiste Mille-Mathias, Aurimas Černius,
Chao-Hsiung Liao


=============
Version 3.9.5
=============

Fixed bugs:

 - #703609, Set button arrow icons according to locale's text direction
 - #704752, Make window a template and other stuff
 - #704805, The notebook in the preferences does not expand properly

Many thanks to all contributors: Garrett Regier, Ignacio Casal Quinteiro,
Piotr Drąg


=============
Version 3.9.4
=============

Fixed bugs:

 - #665531, devhelp: change ShowSearchTab key to ctrl+K
 - #695758, Ctrl+F/Ctrl+S don't focus the search entry
 - #696922, Tabs should be reorderable
 - #700430, .pc uses WEBKITGTK_PC_NAME which is no longer defined

Updated translations: cs, es, eu, gl, he, hu, ml, nb, ru, sl

Many thanks to all contributors: Balázs Úr, Kjartan Maraas, Carlos Garcia
Campos, Ignacio Casal Quinteiro, Fran Diéguez, Javier Jardón, Matej
Urbančič, Yuri Myasoedov, Daniel Mustieles, Yosef Or Boczko, Adam Dingle,
Marek Černocký, Arnel A. Borja, Yaron Shahrabani, Anish A, Aleksander
Morgado


=============
Version 3.8.2
=============

Fixed bugs:

 - disconnect signals when preferences dialog is shutdown

Updated translations: ru

Many thanks to all contributors: Dmitriy S. Seregin, Aleksander Morgado


=============
Version 3.8.1
=============

Fixed bugs:

 - #697026, font size is too small by default and don't match system font
            size
 - #697541, changing preferences crashes/fails after closing one of
            multiple windows

Many thanks to all contributors: Carlos Garcia Campos, Ignacio Casal
Quinteiro, Aleksander Morgado


=============
Version 3.8.0
=============

Fixed bugs:

 - #695455, gedit-plugin: Set loader to python3
 - #696367, devhelp's gschema crashes gsettings tool

Updated translations: as, be, da, el, et, fa, fi, fr, hu, ko, pt_BR,
pt, tg

Many thanks to all contributors: Balázs Úr, Changwoo Ryu, Mattias
Põldaru, Dimitris Spingos, Alexandre Franke, Thomas Bechtold, Ville-Pekka
Vainio, Victor Ibragimov, Arash Mousavi, Ask H. Larsen, Ihar Hrachyshka,
Duarte Loreto, Nilamdyuti Goswami, Enrico Nicoletto, Jeremy Bicha,
Aleksander Morgado


==============
Version 3.7.91
==============

Fixed bugs:

 - #569021, header links don't jump to correct point in text
 - #600309, impossible or very cumbersome to navigate from keyboard
 - #640567, Error shown when changing books/pages too fast
 - #665531, devhelp: change ShowSearchTab key to ctrl+K
 - #671907, Do not use custom marshallers
 - #673320, Nodes in side tree should not expand on focus
 - #693237, Syntax errors in the desktop file

Updated translations: ca, ca@valencia, cs, de, el, gl, it, lt, nb, nl,
pl, sl, sr@latin, sr, th, ug

Many thanks to all contributors: Gil Forcada, Gheyret Kenji, Kalev Lember,
Thomas Bechtold, Мирослав Николић, Matej Urbančič, Mario
Blättermann, Piotr Drąg, Theppitak Karoonboonyanan, Aurimas Černius, Fran
Diéguez, Kjartan Maraas, Javier Jardón, Carles Ferrando, Marek Černocký,
Milo Casagrande, Aleksander Morgado


=============
Version 3.7.5
=============

This release sees a revamp of the UI according to match GNOME 3 applications,
thanks to the work of Aleksander Morgado and Thomas Bechtold during the
developer experience hackfest in Brussels.

Fixed bugs:

 - #569021, header links don't jump to correct point in text
 - #646402, [patch] port devhelp to gsettings
 - #664080, Window title not updated when opening pages using search
 - #671907, Do not use custom marshallers
 - #679955, Use search entry for search entries
 - #679956, Would be nice not to have to switch a tab to search
 - #688955, Font selection does nothing
 - #690599, memory leaks
 - #690980, port to python3
 - #692242, libdevhelp: Remove dh_init() from header since it doesn't exist
            anymore.
 - #692732, assistant-view: don't reference DhApplication
 - #693017, Navigation back/forward seems broken with webkit2
 - #693023, libdevhelp: Fix .pc file "Requires" when building with
            webkitgtk2

Updated translations: bg, el, es, gl, he, it, lt, nb, pl, sr@latin,
sr, ug, zh_HK, zh_TW

Many thanks to all contributors: Gheyret Kenji, Kjartan Maraas, Thomas
Bechtold, Carl-Anton Ingmarsson, Alexander Shopov, Pavel Vasin,
Мирослав Николић, Fran Diéguez, Piotr Drąg, Aurimas
Černius, Daniel Mustieles, Milo Casagrande, Dimitris Spingos, Chao-Hsiung
Liao, Yaron Shahrabani, Aleksander Morgado, Javier Jardón


=============
Version 3.7.3
=============

Fixed bugs:

 - #646402, port devhelp to gsettings
 - #683882, Can't Ctrl+C to copy
 - #687607, add keywords to the desktop file
 - #688919, devhelp fails to build with GNU gold due to underlinking

Updated translations: es, et, nl, pl, ru, sl

Many thanks to all contributors: Mattias Põldaru, Aleksej Kabanov, Thomas
Bechtold, Wouter Bolsterlee, Piotr Drąg, Matej Urbančič, Daniel
Mustieles, Alexandre Rostovtsev, Pavel Vasin, Matthias Clasen


=============
Version 3.7.1
=============

Fixed bugs:

 - #685710, Switch to WebKit2 by default for 3.7.x

Updated translations: lv, ml, sk

Many thanks to all contributors: Carlos Garcia Campos, Rūdolfs Mazurs,
Roman Mátyus, Anish A


=============
Version 3.6.0
=============

Updated translations: bg, ca, ca@valencia, de, zh_CN

Many thanks to all contributors: Gil Forcada, Carles Ferrando, Cheng Lu,
Alexander Shopov, Mario Blättermann


==============
Version 3.5.92
==============

Updated translations: as, be, cs, da, en_GB, fi, fr, gl, he, hu, id,
it, ko, pl, pt_BR, pt, ru, sl, th, vi, zh_CN

Many thanks to all contributors: Rafael Ferreira, Milo Casagrande, Duarte
Loreto, Theppitak Karoonboonyanan, Bruce Cowan, Gabor Kelemen, Nilamdyuti
Goswami, Timo Jyrinki, Fran Diéguez, Piotr Drąg, Marek Černocký,
Changwoo Ryu, Alexandre Franke, Ask H. Larsen, Matej Urbančič, Andika
Triwidada, Leah Liu, Nguyễn Thái Ngọc Duy, Yuri Myasoedov, Ihar
Hrachyshka, Yaron Shahrabani


=============
Version 3.5.5
=============

Fixed bugs:

 - #677927, (patch) Implement application menu

Updated translations: el, es, gl, ja, lt, nb, nn, sk, sr@latin, sr,
zh_HK, zh_TW

Many thanks to all contributors: Åsmund Skjæveland, Tom Tryfonidis,
Мирослав Николић, Roman Mátyus, Fran Diéguez, Piotr Drąg,
Daniel Mustieles, Aurimas Černius, Jiro Matsuzawa, Kjartan Maraas, Chao-
Hsiung Liao, Rafał Mużyło, Aleksander Morgado


=============
Version 3.4.1
=============

Updated translations: fa, hi

Many thanks to all contributors: Chandan Kumar, chandankumar, Arash Mousavi,
Chandan Kumar (ciypro)


=============
Version 3.4.0
=============

Fixed bugs:

- #671256, Fix compilation warnings with -Wunused-but-set-variable

Updated translations: ar, as, fa, fi, fr, it, km, ko, lv, pt, uk


==============
Version 3.3.91
==============

This release can be built using WebKit2 (pass --with-webkit2 to configure),
thanks to Carlos Garcia Campos for the port.

Fixed bugs:

 - #647383, Should not use DISABLE_DEPRECATED in releases
 - #669696, Use of freed memory in dh_assistant_view_set_link()

Updated translations: bg, cs, hu, ja, nb, pl, ru, si, sr@latin, sr, sv, te, tr

Many thanks to all contributors: Praveen Illa, Muhammet Kara, Мирослав Николић,
Carlos Garcia Campos, Alexander Shopov, Daniel Nylander, Yuri Myasoedov, Piotr
Drąg, Martin Robinson, OKANO Takayoshi, Danishka Navin, Kjartan Maraas, Sergio
Villar Senin, Marek Černocký, Gabor Kelemen, Aleksander Morgado

=============
Version 3.3.3
=============

Fixed bugs:

 - #456282, Add globbing/wildcards to search fields
 - #646398, [patch] build: libwnck is no longer user
 - #649064, Some messages have gone untranslatable.
 - #652999, building against GTK3 with x11 and broadway backend enabled
            fails
 - #663789, Change IgeMacIntegration to GtkOSXApplication
 - #666446, libdevhelp-3.0.pc Requires.private: @REQUIRES_LIBWNCK@ not
            expanded

Updated translations: nb, te, tr

Many thanks to all contributors: Philip Chimento, Muhammet Kara, krishnababu
k, Jiro Matsuzawa, Kjartan Maraas, Jason Siefken, Vincent Untz, Saleem
Abdulrasool

=============
Version 3.2.0
=============

Fixed bugs:

 - #592897, window is reused only if on the current page
 - #646399, [patch] remove unused PLATFORM_{C,LD}FLAGS
 - #646400, [patch] remove dead GTK+ code
 - #646962, Doesn't build on Mac OS/Quartz
 - #650542, Some small UI tweaks

Updated translations: ast, ca@valencia, en_CA, eo, es, eu, fi, ja, lt

Many thanks to all contributors: Kristjan SCHMIDT, Tiffany Antopolski,
Carles Ferrando, P. F. Chimento, Tommi Vainikainen, Jorge González, Xandru
Armesto, Javier Jardón, Inaki Larranaga Murgoitio, OKANO Takayoshi, Jiro
Matsuzawa, Cosimo Cecchi, Aurimas Černius, Saleem Abdulrasool

=============
Version 3.0.0
=============

Updated translations: da, de, it, lv, pt_BR, sk, sr@latin, sr, ug

Many thanks to all contributors: Abduxukur Abdurixit, Luca Ferretti, Roman
Mátyus, Ask H. Larsen, Wolfgang Stöggl, Mateus Zenaide, Rudolfs Mazurs,
Miroslav Nikolić

===============
Version 2.91.92
===============

Fixed bugs:

 - #644221, window: set the style class before adding to the parent box

Updated translations: de, en_GB, pl, ro, sk, sq

Many thanks to all contributors: Laurent Dhima, Lucian Adrian Grijincu, Roman
Mátyus, Mario Blättermann, Bruce Cowan, Cosimo Cecchi

=================
Version 2.91.91.2
=================

Fixed bugs:

 - partial update for gtk-style-context, some deprecated functions are still
   being used.

=================
Version 2.91.91.1
=================

Fixed bugs:

 - really install the 256x256 icon

===============
Version 2.91.91
===============

Fixed bugs:

 - #643145, [gedit plugin] check for the right type
 - #644026, Needs a 256x256 size icon

Updated translations: hu, pt

Many thanks to all contributors: Ignacio Casal Quinteiro, Andreas Nilsson,
Duarte Loreto, Cosimo Cecchi, Gabor Kelemen

===============
Version 2.91.90
===============

Fixed bugs:

 - #642002, [PATCH] port gedit plugin to GObject Introspection and latest
            GEdit

Updated translations: ar, bg, ca, el, eo, es, fa, fr, gl, ko, nl, ru,
ug, uk, zh_HK, zh_TW

Many thanks to all contributors: Changwoo Ryu, Kristjan SCHMIDT, Gil
Forcada, Khaled Hosny, Alexander Shopov, Wouter Bolsterlee, Jorge González,
Fran Diéguez, Sahran, Claude Paroz, Yuri Myasoedov, Daniel Korostil,
Michael Kotsarinis, Chao-Hsiung Liao, Mahyar Moghimi, Dan Williams

==============
Version 2.91.5
==============

Fixed bugs:

 - #638748, Adapt to new multi backend GTK+
 - #638761, Add ellipsize to search combo

Updated translations: cs, es, et, gl, id, nb, sl, sv, ug, zh_CN

Many thanks to all contributors: Andika Triwidada, Aron Xu, Jorge Gonzalez,
Ivar Smolin, Daniel Nylander, Fran Diéguez, Matej Urbančič, Kjartan
Maraas, Gheyret T.Kenji, Marek Černocký, Matthias Clasen, Johannes Schmid

==============
Version 2.91.4
==============

Fixed bugs:

 - #90469, Search function to allow selecting books for search
 - #349608, Monitor books and update when they change
 - #353108, Search by language
 - #601201, [PATCH] inadequate search result ordering
 - #633834, L10N: msgid "Enabled"
 - #635162, Devhelp won't build due to the new GApplication API
 - #636339, Fix default value for list type key
            state/main/contents/books_disabled
 - #636933, [PATCH] Crash when closing the preferences dialog with the
            titlebar close button

Updated translations: et, he, th, zh_HK, zh_TW

Many thanks to all contributors: Ivar Smolin, Yanko Kaneti, Akom
Chotiphantawanon, Chao-Hsiung Liao, Yaron Shahrabani, Aleksander Morgado

==============
Version 2.91.3
==============

Fixed bugs:

 - #606593, Devhelp no longer recognizes "page:" search keyword
 - #624197, [patch] port to GtkApplication
 - #630108, Update autotools configuration
 - #632872, Cannot build devhelp - Replace GDK_<keyname> with
            GDK_KEY_<keyname>
 - #635162, Devhelp won't build due to the new GApplication API

Updated translations: ast, be, bg, ca, ca@valencia, cs, da, de, el,
en_GB, es, et, fr, gl, he, hu, id, it, ja, ko, lt, nb, nl, pl, pt_BR,
pt, ro, ru, sk, sl, sr@latin, sr, sv, th, ug, zh_CN, zh_HK, zh_TW

Many thanks to all contributors: Gil Forcada, Gheyret T.Kenji, Bruce Cowan,
Kalev Lember, Petr Kovar, Yinghua Wang, Mario Blättermann, Dirgita, Philip
Withnall, Duarte Loreto, Theppitak Karoonboonyanan, Kjartan Maraas,
Gintautas Miliauskas, Javier Jardón, Gabor Kelemen, Bastien Nocera, Chao-
Hsiung Liao, Lucian Adrian Grijincu, Takayuki KUSANO, Lucas Lommer,
Christian Kirbach, Roman Mátyus, Kenneth Nielsen, Jorge González, Fran
Diéguez, Piotr Drąg, Claude Paroz, Милош Поповић, Marek
Černocký, Aleksander Morgado, Yavor Doganov, Matthias Clasen, Changwoo
Ryu, Aron Xu, Ivar Smolin, Eiichi Sato, Wouter Bolsterlee, Daniel Nylander,
Bruno Brouard, Xandru Armesto, Matej Urbančič, Jonh Wendell, Johannes
Schmid, Damyan Ivanov, Leonid Kanter, Wladzimir Manulenka, Andika Triwidada,
Carles Ferrando, Francesco Marletta, Saleem Abdulrasool, Daniel
Șerbănescu, Olav Vitters, Simos Xenitellis, Yaron Shahrabani

==============
Version 2.90.5
==============

Fixed bugs:

 - #614798, find string is slow
 - #619202, Add the possibility of enabling or disabling specific books

Many thanks to all contributors: Aleksander Morgado

NEW in 2.30.1
=============

Updated translations: ca@valencia, en@shaw, eo, fr, gl, hy, id, nl,
sl, sq, ug

Many thanks to all contributors: Kristjan Schmidt, Laurent Dhima, Andika
Triwidada, Gheyret Kenji, noch, Wouter Bolsterlee, Fran Diéguez, Matej
Urbančič, Claude Paroz, Thomas Thurman, Carles Ferrando

NEW in 2.30.0
=============

Updated translations: ar, bn, ca, cs, da, el, en_GB, fi, gl, hu, it,
ko, lt, pl, pt, ro, ru, sr@latin, sr

Many thanks to all contributors: Changwoo Ryu, Leonid Kanter, Lucian Adrian
Grijincu, Gil Forcada, Miloš Popović, Duarte Loreto, Petr Kovar, Francesco
Marletta, Tommi Vainikainen, Ask H. Larsen, Piotr Drąg, Nikos Bakaoukas,
Khaled Hosny, Jamil Ahmed, Fran Diéguez, Bruce Cowan, Gintautas Miliauskas,
Gabor Kelemen, Pablo Castellano

NEW in 2.29.90
==============

Fixed bugs:

 - #601048, Segfaults when typing too fast in the search box
 - #603623, libdevhelp-1.0.pc is missing webkit-1.0

Updated translations: ast, bg, bn, de, fr, he, pt_BR, th, uk, zh_HK,
zh_TW

Many thanks to all contributors: Matthew Barnes, Christian Kirbach,
Alexander Shopov, Theppitak Karoonboonyanan, Jamil Ahmed, Jonh Wendell,
Xandru Armesto Fernandez, Yaron Sharabani, Claude Paroz, Chao-Hsiung Liao,
Maxim V. Dziumanenko

NEW in 2.29.3
=============

Fixed bugs:

 - #603040, Opening the wrong arrow in the left side bar

Updated translations: ca@valencia, sv

Many thanks to all contributors: Carles Ferrando, Daniel Nylander

NEW in 2.29.2:
==============

Fixed bugs:

 - #601651, devhelp needs to link against libgthread

Updated translations: en@shaw, es, et, gl, nb, zh_CN

Many thanks to all contributors: Emilio Pozuelo Monfort, Richard Ma, Antón
Méixome, Jorge González, Thomas Thurman, Kjartan Maraas, Ivar Smolin

NEW in 2.29.1:
==============

 - #544388, Fullscreen mode
 - #593566, Miscellaneous string fixes

Updated translations: ca, es, is, sl, zh_CN

Many thanks to all contributors: Anna Jonna Armannsdottir, Gil Forcada,
Jonathon Jongsma, Jorge González, Philip Withnall, Matej Urbančič, Tao
Wei

NEW in 2.28.1:
==============

Fixed bugs:

 - #589435, Track pad horizontal scrolling
 - #596808, Fix several leaks reported by valgrind
 - #596810, Clicking close button on a tab always closes the current tab
 - #598598, Linking across GNOME components

Updated translations: ca, ja, ru, zh_CN

Many thanks to all contributors: Leonid Kanter, Gil Forcada, Jonathon Jongsma,
Takeshi Aihana, Tao Wei

NEW in 2.28.0:
==============

Fixed bugs:

 - #594633, Remove libwnck from Requires in .pc file
 - #595567, devhelp launches along with a spurious empty browser window

Updated translations: bg, cs, da, fi, gl, hu, mai, ro, sl, sr@latin,
sr, th, uk, zh_CN, zh_HK, zh_TW

Many thanks to all contributors: Gabor Kelemen, Lucas Lommer, Branko
Kokanović, Rajesh Ranjan, Alexander Shopov, Ilkka Tuohela, Ask H. Larsen,
Fran Diéguez, Yanko Kaneti, Theppitak Karoonboonyanan, Matej Urbančič,
Adi Roiban, Aron Xu, Chao-Hsiung Liao, Maxim V. Dziumanenko

NEW in 2.27.92:
===============

New maintainer (Frederic Peters) (to Richard, thanks for everything).

Fixed bugs:

 - #517003, Translated strings are not being used in gedit's plugin
 - #552640, New tabs should not steal focus
 - #563036, Desensitize zoom items when non applicable
 - #566117, Book titles should be forced to be single line
 - #566459, generate Enumeration and Flag Types
 - #568172, Wrong management of fonts
 - #571626, Space should scroll down
 - #578964, Make Ctrl+C copy the symbol name in the symbol listing pane
 - #579539, New tabs don't suit a window well
 - #585110, Use accessor functions instead direct access
 - #585670, Blank Screen on DevHelp Assistant
 - #587984, emacs devhelp-word-at-point clobbers global "w"
 - #587986, html2xml.py does not close <sub>
 - #587999, Page sensitive searches have been broken.
 - #588655, Work around deprecated g_mapped_file_free()
 - #588850, Installs empty images dir
 - #590207, link in About dialog is out of date
 - #590209, toolbar actions could use some is_important love
 - #591046, Assistant window resizes automatically
 - #592157, Application name is desktop file and main window is not
            translatable
 - #592712, build fails using automake 1.11
 - #592750, Support silent build rules with automake 1.11
 - #593174, Incredibly small string fix

Updated translations: ar, de, en_GB, et, fr, hu, it, nb, pl, pt_BR,
pt, sv, tr

Many thanks to all contributors: Duarte Loreto, Michael Gratton, Kjartan
Maraas, Ivar Smolin, Khaled Hosny, Baris Cicek, Daniel Nylander, Mario
Blättermann, Luca Ferretti, Tomasz Dominikowski, Claude Paroz, Bruce Cowan,
Richard Cohen, Javier Jardón, Gabor Kelemen, Gustavo Noronha Silva, Og B.
Maciel

NEW in 0.23.1:
==============

This is a build fix release for latest glib and a translation update.
The updated translations are:

Updated translations: ca, ko, sv, es, cs, el, it, ja, ga, pt_BR, uk,
et, fr, se, zh_CN, zh_HK, bg, ge, he

Many thanks to the translators: Gil Forcada, Changwoo Ryu,
Jani Monoses, Daniel Nylander, Jorge Gonzalez Gonzalez, Petr Kovar,
Jennie Petoumenou, Francesco Marletta, Yair Hershkovitz,
Takeshi Aihana, Ignacio Casal Quinteiro, Miquel Esplà,
Leonardo Ferreira Fontenelle, Matej Urban, Ihar Hrachyshka,
Maxim V. Dziumanenko, Maxim V. Dziumanenko, Socratis Vavilis,
Antón Méixome, Βασίλης Κοντογιάνης, Mattias Põldaru, Kjartan Maraas,
Claude Paroz, Chao-Hsiung Liao, Theppitak Karoonboonyanan,
Ivar Smolin, Yavor Doganov, Christian Kirbach

NEW in 0.23:
============

This is a translation update. The updated translations are:

Updated translations: hu, nb, pt_BR, zh_CN, th, sl, et, sv

Many thanks to the translators: Gabor Kelemen, Kjartan Maraas, Taylon
Silmer, Deng Xiyue, Visal Srivisal, Matej Urbančič, Mattias Põldaru,
Daniel Nylander


NEW in 0.22:
============

This is the first release from the WebKit branch. Many thanks to Alp
Toker, Frederic Peters and Jan Alonzo for the initial patches.

Updated translations: ar, be@latin, bg, bn_IN, ca, cs, da, de, en_GB,
es, et, fi, fr, gl, he, hr, hu, it, ja, ko, lt, mk, nb, ne, nl, nn,
oc, pl, ps, pt, pt_BR, ru, sq, sv, th, tr, uk, vi, zh_TW

Many thanks to the translators: Alexander Shopov, Arangel Angov, Artur
Flinta, Baris Cicek, Changwoo Ryu, Claude Paroz, Clytie Siddall,
Daniel Nylander, David Lodge, Djihed Afifi, Duarte Loreto, Eskild
Hustvedt, Gabor Kelemen, Gil Forcada, Gintautas Miliauskas, Hong Kong,
Ignacio Casal Quinteiro, Ihar Hrachyshka, Ilkka Tuohela, Jonh Wendell,
Jorge Gonzalez, Jovan Naumovski, Kenneth Nielsen, Kjartan Maraas,
Laurent Dhima, Leonardo Ferreira Fontenelle, Luca Ferretti, Maxim
Dziumanenko, Pawan Chitrakar, Petr Kovar, Philipp Kerling, Priit Laes,
Richard Hult, Robert Sedak, Runa Bhattacharjee, Takeshi AIHANA,
Theppitak Karoonboonyanan, Wouter Bolsterlee, Yair Hershkovitz, Yannig
Marchegay, Yuri Kozlov.


NEW in 0.19:
============

- Specify an icon for the GEdit plugin (bug #512000)
- Updated translations: ar, be@latin, ca, nl, pt_BR, pt

Many thanks to the translators: Leonardo Ferreira Fontenelle, Pedro de
Medeiros, Og Maciel, Wouter Bolsterlee, Duarte Loreto, Khaled Hosny,
Ihar Hrachyshka, Joan Duran, Djihed Afifi.


NEW in 0.18:
============

- Use proper size icon for close buttons in tabs (bug #510984, Luca Ferretti)
- Polish the new Zoom UI (bugs #508510 and #508513, Wouter Bolsterlee)
- Updated translations: be, ca, de, es, et, gl, he, ja, nb, sv, th, uk

Many thanks to the translators: Ihar Hrachyshka, Gil Forcada, Andre
Klapper, Jorge Gonzalez, Priit Laes, Ignacio Casal Quinteiro, Yair
Hershkovitz, Takeshi AIHANA, Kjartan Maraas, Daniel Nylander,
Theppitak Karoonboonyanan, Maxim Dziumanenko.


NEW in 0.17:
============

- Devhelp doesn't run new instance on new display (bug #354895)
- New icons from Andreas Nilsson (bug #463131)
- Add zoom actions (bug #144517, Cosimo Cecchi)
- Add close buttons to tabs (bug #479306, Cosimo Cecchi)
- Fix build against xyulrunner 1.9 (bug #499050, Matthias Clasen)
- Remove obsolete dependencies (libgnomeui and gnome-vfs, bug #484896)
  and make libwnck optional
- Use po/LINGUAS (bug #464108, Gilles Dartiguelongue)
- Updated and new translations: ar, be@latin, es, et, gl, nb, oc, sl,
  sv, ta, vi

Many thanks to all the translators: Djihed Afifi, Sohaib Afifi, Ihar
Hrachyshka, Jorge Gonzalez, Priit Laes, Ignacio Casal Quinteiro,
Kjartan Maraas, Yannig Marchegay, Matej Urbančič, I. Felix, Clytie
Siddall


NEW in 0.16.1:
==============

Updated translations: ru, fr, bg, nl, be@latin, pt, sq, bn, de, ko,
it, hu, lt, ar, et, ca, ja, pl

Many thanks to all the translators: Nickolay V. Shmyrev, Stéphane
Raimbault, Alexander Shopov, Wouter Bolsterlee, Ihar Hrachyshka,
Duarte Loreto, Laurent Dhima, Khandakar Mujahidul Islam, Jamil Ahmed,
Hendrik Richter, Changwoo Ryu, Luca Ferretti, Gabor Kelemen, Gintautas
Miliauskas, Djihed Afifi, Priit Laes, Gil Forcada, Takeshi AIHANA,
Artur Flinta


NEW in 0.16:
============

- Changed keybinding in GEdit plugin from F7 to F2 to avoid a conflict
  with GTK+ 2.12

Translations:
- Updated gu: Ankit Patel
- Updated vi: Clytie Siddall, Nguyễn Thái Ngọc Duy
- Updated fi: Ilkka Tuohela
- Updated et: Priit Laes
- Updated gl: Ignacio Casal Quinteiro
- Updated es: Jorge Gonzalez
- Updated bn_IN: Runa Bhattacharjee
- Updated sr.po, sr@Latn: Goran Rakić
- Updated pt: Duarte Loreto
- Updated nb: Kjartan Maraas
- Updated tr: Baris Cicek
- Updated th: Theppitak Karoonboonyanan
- Updated te: Sunil Mohan Adapa
- Updated en_CA: Adam Weinberger
- Updated fr: Stéphane Raimbault
- Updated bg: Alexander Shopov
- Updated pt_BR: Raphael Higino
- Updated de: Johannes Schmid
- Updated da: Kenneth Nielsen
- Updated nl: Wouter Bolsterlee
- Updated hu: Gabor Kelemen
- Updated zh_CN: Funda Wang
- Updated sv: Daniel Nylander
- Updated mk: Jovan Naumovski  <jovan@lugola.net>
+
- Updated uk: Maxim Dziumanenko
- Updated sl: Matic Žgur


NEW in 0.15:
============

- Fix build on Solaris (bug #439054)
- Don't hardcode the png extension in desktop file (bug #440434, Loïc Minier)

Translations:
- Updated ja: Takeshi AIHANA
- Updated th: Theppitak Karoonboonyanan


NEW in 0.14:
============

- Use theme colors for gecko 1.9 and later (bug #347967)
- Call g_thread_init (bug #414221, Mikael Hallendal)
- Add --focus-search command line option (bug #409182, Ryan Lortie)
- Add typeahead searching (bug #116322, Huang Peng)
- Update information about where books should be installed (bug #411748)
- Add missing mnemonics (bug #411376, Mariano Suárez-Alvarez)
- GNOME Goal #3: Remove "Application" category (bug #417613, Kamil Páral)

Translations:
- Updated el: Simos Xenitellis
- Updated gu: Ankit Patel
- Updated vi: Nguyễn Thái Ngọc Duy
- Updated it: Luca Ferretti
- Updated ar: Theppitak Karoonboonyanan
- Updated et: Priit Laes
- Updated gl: Ignacio Casal Quinteiro
- Updated es: Jorge Gonzalez, Vincent van Adrighem
- Updated bn_IN: Runa Bhattacharjee
- Updated ru: Nickolay V. Shmyrev
- Updated rw: Ihar Hrachyshka
- Updated nl: Wouter Bolsterlee
- Updated pt: Vincent van Adrighem
- Updated nb: Kjartan Maraas
- Updated zh_HK.po, zh_TW: Abel Cheung
- Updated lv: Vincent van Adrighem
- Updated lt: Gintautas Miliauskas
- Updated th: Theppitak Karoonboonyanan
- Updated pl: Artur Flinta
- Updated be: Ihar Hrachyshka
- Updated fr: shortcuts
- Updated pt_BR: Leonardo Ferreira Fontenelle, Raphael Higino, Ihar Hrachyshka, Vincent van Adrighem
- Updated hr: Ihar Hrachyshka
- Updated da: Peter Bach
- Updated dz: Pema Geyleg
- Updated hu: Gabor Kelemen
- Updated ja: Takeshi AIHANA
- Updated be@latin: Ihar Hrachyshka
- Updated zh_CN: Funda Wang
- Updated ml: Ani Peter
- Updated sq: Laurent Dhima
- Updated sv: Richard Hult
- Updated en_GB: David Lodge
- Updated uk: Maxim Dziumanenko
- Updated or: Subhransu Behera


NEW in 0.13:
============

- Revert theme change since it breaks gecko < 1.9
- Make deprecated keywords grey
- Only search for books in the XDG data/home directories
- Fixed #310542, Improve the gtk-doc devhelp format (Richard)
- Fixed #349229, Documentation page header is transparent (Richard)
- Fixed #349352, GConf schema has wrong key (Jonathon Jongsma)
- Fixed #349880, add a generic name to the .desktop file (Matthias Clasen)
- Fixed #341170, Added gecko_home variable to .pc file (Naba Kumar)
- Fixed #334867, Initialize the HTML view to display about:blank (David Trowbridge)

Translations:
- Updated el: Kostas Papadimas
- Updated fr: Christophe Merlet
- Updated bg: Alexander Shopov
- Updated sv: Richard Hult
- Updated pt: Duarte Loreto
- Updated vi: Clytie Siddall
- Updated nb: Kjartan Maraas
- Updated de: Hendrik Richter
- Updated ko: Changwoo Ryu
- Updated ne: Pawan Chitrakar
- Updated it: Alessio Frusciante
- Updated ar: Djihed Afifi
- Updated es: Francisco Javier F. Serrador
- Updated sl: Matic Zgur
- Updated et: Priit Laes
- Updated hu: Gabor Kelemen
- Updated gl: Ignacio Casal Quinteiro
- Updated ca: Josep Puigdemont i Casamajó
- Updated en_GB: David Lodge


Devhelp 0.12:
-------------

* Add advanced (book/page) search options (Tristan Van Berkom)
* Improve libdevhelp (Tristan, Johannes Schmid)
* Add --version option (Tristan)
* Fix mnemomics (Wouter Bolsterlee)
* Add a very simple gedit plugin (Richard)
* Add quit menu item (Richard)
* Build fixes and clean ups (Behdad Esfahbod)
* Lots of Gecko build fixes and improvements (Christian Persch)
* Open external links in browser (Christian)
* UI tweaks (Christian)
* Shiny new icon (Marcus Leyman, Behdad)
* Read books installed in XDG data dirs (Antoine Dopffer, Behdad)
* Use correct category in desktop file (Stephane Loeuillet)
* Translations (Miloslav Trmac, Xavier Conde, Ilkka Tuohela, Francisco
  Javier F. Serrador, Gabor Kelemen, Ignacio Casal Quinteiro, Vincent
  van Adrighem, Takeshi AIHANA, Daniel Nylander, Sergey Al. Safonov,
  Clytie Siddall, Chao-Hsiung Liao)


Devhelp 0.11:
-------------
* Tab support (based on patch from Brent Smith)
* Support for multiple windows (based on patch from Nirmal Kumar)
* Parse the new gtk-doc format (Richard)
* Reuse devhelp windows from the current workspace only (Richard)
* Sync the contents tree with the actual selection (Richard)
* Smart case searching (Ruben Vermeersch)
* Use book title + html title as window title (Tommi Komulainen)
* Improve build against various mozilla-derivates (Peter Volkov,
  Christian Persch, Robert O'Callahan)
* General UI tweaks and bug fixes (Richard, Mikael, Christian, Paolo
  Borelli, Pedro Villavicencio)
* New and updated translations: bg, cs, de, en_CA, es, fi, gl, hu, it,
  ja, nb, ne, nl, no, sk, sv, vi, zh_TW

Devhelp 0.10:
-------------
* Added third party contributed scripts for generating Devhelp books.
* Mozilla build fixes (Christian Persch)
* Improved Bug Buddy support (Christoffer Olsen)
* Fix to not have the HTML widget steal focus (Tommi Komulainen)
* Ported to GTK+ 2.6 and removed libgnomeui depdendency. (Kristof Vansant)
* Window presentation fixes for new Metacity (Richard Hult)
* Fixed crash when searching (Ray Strode)
* Plugged memory leak in the gecko bindings (Paolo Borelli)
* New translations (hu, rw)
* Updated translations
  (el, en_CA, de, cs, ca, sk, sv, en_GB)

Devhelp 0.9.3:
--------------
* Compiling against firefox (Christian Persch)
* Get rid of startup script (Christian Persch)
* Fixed font sizes
* Render scrollbars with GTK theme
* Updated translations (de)

Devhelp 0.9.2:
--------------
* Added accelerators for back and forward    (Johan Svedberg)
* Bacon-love for IPC
* Support searching for substrings "gtk new" (Nickolay V. Shmyrev)
* New translations (nb, gu, mk)
* Updated translations
  (sq, no, fi, pt, sq, da, be, nb, fr, it, zh_TW)

Devhelp 0.9.1:
--------------
* Save maximized state
* Support for Mozilla 1.7
* Show direct hits directly.
* Make sure that the window has a minimum width even if GConf setup isn't
  working properly.
* Make sure user installed documentation is shown before system installed.
* New translations (en_GB, en_CA)
* Updated translations
  (ja, cs, nl, hr, sk, sr, es, en_GB, uk, is, pt_BR, sv,fi, es, sq)

Devhelp 0.9:
------------
* Depending on Mozilla for HTML rendering
* Depending on GTK 2.3/2.4
* Fixed History support
* Fixed a number of bugs related to Gtkhtml2
* Added support for customized fonts
* Saves window layout/geometry/location
* New translations (pa)
* Updated translations
  (ja, hi, fr, nl, it, da, no, pt_BR, zh_CN, sv)

Devhelp 0.8:
------------
* Installs a library and header files to embed Devhelp widgets
  into a program. Used by Anjuta.
* Build fix for FreeBSD
* New translations (tr, ca)
* Updated translations
  (cs, sv, ja, sk, nl, de, es, pl, is, ms, pt, no, da, fr, az)

Devhelp 0.7:
------------
* Crash fix                                         (Ross)
* Better error handling                             (Ross)
* Plug memory leak                                  (Mikael)
* Usability fixes                                   (Richard)
* Dist the emacs and vim scripts                    (Richard)
* Added --geometry                                  (Richard)
* UI fixes                                          (Richard)
* Listen to GConf toolbar and menu settings         (Richard)
* Fixed bug #114558                                 (Mike Harn,
                                                     Richard)


Devhelp 0.6:
------------
* Added both html widget implementations to tarball (Mikael)
* Lots of work on error handling                    (Ross)
* Fixes to searched paths                           (Ross)
* Added gnome-vfs MIME support                      (Ross)
* New and updated translations, thanks to Kang Jeong-Hee, Vincent van Adrighem,
  Duarte Loreto, Zbigniew Chyla, Takeshi AIHANA, Metin Amiroff,
  Samúel Jón Gunnarsson, Guntupalli Karunakar.

Devhelp 0.5:
------------
* GNOME 2 port             (Mikael, Richard)
* LOTS of code cleanups    (Mikael)
* Support gzipped books    (Ross Burton)
* Better activation        (Richard)
* Support for gtk-doc built .devhelp files (Mikael)
  (Thanks Jamesh!!)

Devhelp 0.4:
------------
* Raise minimized window (Richard)
* Bug fixes              (Mikael, Richard)
* Limit history length   (Nils O. Selåsdal)
* Saner installdirs      (Mikael)

Devhelp 0.3:
------------
* Lots of bugfixes. (Johan, Mikael, Richard)
* Debian and Red Hat packages now availible. (Johan)
* Devhelp can now handle different versions of the same book
  much better. (Johan)
* New and updated translations, Thanks goes to Ismael Olea,
  Joe Man, Marcel Telka, Alessio Frusciante, Kjartan Maraas,
  Christophe Fergeau, Zbigniew Chyla, Ole Laursen and
  Christian Rose.

Devhelp 0.2:
------------
* New maintainer: Mikael Hallendal <micke@codefactory.se> is now
  maintainer Devhelp.
* Bonobization: To make it easier to embedd Devhelp in IDE's (like
  gIDE and Anjuta) Devhelp now consists of a couple of controlls which
  can be used in other applications. (Mikael Hallendal)
* Code-cleanups, Cleaned up the code to make it more
  maintainable. (Mikael Hallendal).

Devhelp 0.1.1:
--------------
* A few bugfixes. Should compile with non cvs version of libxml now.

Devhelp 0.1.0:
--------------
* Initial release.
